#include <time.h>
#include "inputbusiness.h"

InputBusiness::InputBusiness(InputManager *input, const QList<QVariant> &channels, ServerManager *server)
    : m_input(input)
    , m_channels(channels)
    , m_server(server)
{
}

InputBusiness::~InputBusiness()
{
}

QList<QPair<QVariant, QVariant>> InputBusiness::readAndSend(quint64 timestamp)
{
    QList<QPair<QVariant, QVariant>> values;
    foreach (auto channel, m_channels)
        values.append(QPair<QVariant, QVariant>(channel, m_input->read(channel)));
    m_server->sendData(values, timestamp);
    return values;
}

